[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# THTOwnedObjectNode.Destroy

Destroys the node and the object.

## Declaration

Source position: contnrs.pp line 455

`public destructor THTOwnedObjectNode.Destroy; override;`

## Description

Destroy first frees the data object, and then only frees itself.

## See also

THTOwnedObjectNode |  | Node type for owned objects.
TFPObjectHashTable.OwnsObjects |  | Does the hash table own the objects ?

The latest version of this document can be found at lazarus-ccr.sourceforge.net.